%define major	3
%define libname %mklibname chewing %{major}
%define develname %mklibname chewing -d

Name:		libchewing
Summary:	The intelligent phonetic input method library
Epoch:		1
Version:	0.5.1
Release:	%mkrel 1
Group:		System/Internationalization
License:	LGPLv2+
Source0:	https://github.com/chewing/libchewing/releases/download/v%{version}/%{name}-%{version}.tar.bz2
URL:		http://chewing.im
BuildRequires:	sqlite3-devel

%description
libchewing is an intelligent Chinese phonetic input method library
which is also know as Qooing. Based on Chewing input method.

%package data
Summary:	Data for Libchewing
Group:		System/Internationalization
Conflicts:	%{_lib}chewing1 < 1:0.4.0

%description data
libchewing is an intelligent Chinese phonetic input method library
which is also know as Qooing. Based on Chewing input method.

This package contains data files from libchewing.

%package -n	%{libname}
Summary:	The intelligent phonetic input method library
Group:		System/Internationalization
Requires:       %{name}-data = %{epoch}:%{version}
Provides:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	%{_lib}chewing1 < 1:0.4.0

%description -n %{libname}
libchewing is an intelligent Chinese phonetic input method library
which is also know as Qooing. Based on Chewing input method.

This package contains the basic libchewing library.

%package -n	%{develname}
Summary:	Headers of libchewing for development
Group:		Development/C
Requires:	%{libname} = %{epoch}:%{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d chewing 3

%description -n %{develname}
libchewing is an intelligent Chinese phonetic input method library
which is also know as Qooing. Based on Chewing input method.

This package contains library and headers necessary for development
related to Chewing input method. You also need it if you want to
compile any input server that supports Chewing input method.

%prep
%setup -q 

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files data
%doc COPYING
%{_datadir}/%{name}
%{_infodir}/*

%files -n %{libname}
%doc COPYING
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n %{develname}
%doc AUTHORS COPYING ChangeLog NEWS
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/*
%{_includedir}/*


%changelog
* Sat May 21 2016 yochenhsieh <yochenhsieh> 1:0.5.1-1.mga6
+ Revision: 1017313
- New version 0.5.1

* Wed May 04 2016 yochenhsieh <yochenhsieh> 1:0.5.0-1.mga6
+ Revision: 1009240
- new version 0.5.0

* Thu Feb 04 2016 umeabot <umeabot> 1:0.4.0-4.mga6
+ Revision: 934414
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:0.4.0-3.mga5
+ Revision: 749069
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.4.0-2.mga5
+ Revision: 681379
- Mageia 5 Mass Rebuild

* Mon Aug 18 2014 yochenhsieh <yochenhsieh> 1:0.4.0-1.mga5
+ Revision: 664981
- new version 0.4.0

* Sat Oct 19 2013 umeabot <umeabot> 1:0.3.5-2.mga4
+ Revision: 533034
- Mageia 4 Mass Rebuild

* Sat Aug 24 2013 fwang <fwang> 1:0.3.5-1.mga4
+ Revision: 470887
- fix libmajor
- new version 0.3.5
- move info files into data package

* Fri Jan 25 2013 yochenhsieh <yochenhsieh> 1:0.3.4-1.mga3
+ Revision: 392204
- Fix spec error
- New version release, remove unused patch

* Sat Jan 12 2013 umeabot <umeabot> 1:0.3.3-4.mga3
+ Revision: 356920
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 cjw <cjw> 1:0.3.3-3.mga3
+ Revision: 339236
- patch1: fix build with automake 1.13

* Thu Dec 15 2011 fwang <fwang> 1:0.3.3-2.mga2
+ Revision: 181695
- drop .la files

* Wed Apr 13 2011 ennael <ennael> 1:0.3.3-1.mga1
+ Revision: 84366
- remove buildroot
  new release, many bug fixes

* Thu Mar 24 2011 boklm <boklm> 1:0.3.2-4.svn1051.3.mga1
+ Revision: 76227
- rebuild for bug #497

* Fri Mar 18 2011 tv <tv> 1:0.3.2-4.svn1051.2.mga1
+ Revision: 73646
- bump release

* Fri Mar 18 2011 tv <tv> 1:0.3.2-4.svn1051.1.mga1
+ Revision: 73644
- clean up
- imported package libchewing

